package com.jsowell.pile.service;

import java.util.List;
import com.jsowell.pile.domain.OrderDetail;
public interface OrderDetailService{


    int deleteByPrimaryKey(Integer id);

    int insert(OrderDetail record);

    int insertOrUpdate(OrderDetail record);

    int insertOrUpdateSelective(OrderDetail record);

    int insertSelective(OrderDetail record);

    OrderDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderDetail record);

    int updateByPrimaryKey(OrderDetail record);

    int updateBatch(List<OrderDetail> list);

    int updateBatchSelective(List<OrderDetail> list);

    int batchInsert(List<OrderDetail> list);

}
